using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SibLib.Entities
{
    public interface IUpdateableFloat
    {
        /// <summary>
        /// Whether this object should be updated or not.
        /// </summary>
        bool IsActive
        {
            get;
            set;
        }

        void Initialize();

        /// <summary>
        /// Called each frame to update object.
        /// </summary>
        /// <param name="timeFactor">Time elapsed since previous frame. Games can give it the meaning they want (seconds, milliseconds, etc)</param>
        void Update(float timeFactor);
    }
}
