﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace SibLib.GameState
{
    /// <summary>
    /// Custom event argument to transmit an InputState.
    /// Used by MenuEntry.CustomInput event.
    /// </summary>
    public sealed class InputStateEventArgs : EventArgs
    {
        private InputState m_InputState;
        public InputState InputState
        {
            get { return m_InputState; }
        }

        private PlayerIndex m_PlayerIndex;
        public PlayerIndex PlayerIndex
        {
            get { return m_PlayerIndex; }
        }

        public InputStateEventArgs(InputState inputState, PlayerIndex playerIndex)
        {
            m_InputState = inputState;
            m_PlayerIndex = playerIndex;
        }
    }
}
